Options for `Cli`

### Hierarchy

- ICliOptions

## Index

### Properties

- ansi
- columns
- console
- done

## Properties

### Optional ansi

ansi: undefined | false | true

- Defined in src/cli-options.ts:39

Enable/disable ANSI text decoration. Defaults to `process.stdout.isTTY && process.stderr.isTTY`

### Optional columns

columns: undefined | number

- Defined in src/cli-options.ts:44

Number of terminal columns. Defaults to `process.stdout.columns || 100`

### Optional console

console: ICliConsole

- Defined in src/cli-options.ts:47

`console.log` is called on the result, `console.error` on error

### Optional done

done: ICliProcess["exit"]

- Defined in src/cli-options.ts:50

Called after the command has completed. Defaults to `process.exit`

Generated using TypeDoc and MonoLisa